# Variable ReadableStreamDefaultReader

ReadableStreamDefaultReader: {
prototype: ReadableStreamDefaultReader<any>;
new <R>(stream): ReadableStreamDefaultReader<R>;
}

#### Type declaration

- - new <R>(stream): ReadableStreamDefaultReader<R>

  - #### Type Parameters

    - R = any

    #### Parameters

    - stream: ReadableStream<R>

    #### Returns ReadableStreamDefaultReader<R>

- ##### prototype: ReadableStreamDefaultReader<any>

- Defined in node_modules/@types/node/stream/web.d.ts:163
- Defined in node_modules/@types/node/stream/web.d.ts:171